/* Backend item
*/

#include <QGraphicsItem>
#include <QRectF>
#include <QPainter>
#include <QStyleOptionGraphicsItem>
#include <QWidget>
#include <QDomDocument>
#include <QDomElement>
#include <QDomNode>
#include <QDomNodeList>

#ifndef OBJECTITEM_H
#define OBJECTITEM_H

class ObjectItem : public QGraphicsItem
{
    public:
        ObjectItem(QGraphicsItem *parent, const QDomElement &xmlStructure);
        QRectF boundingRect() const;
        void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);

    private:
        QDomElement m_xmlStructure;
//        QPixmap cached(const QString &img);
//        QString m_pipelineName;
};

#endif
