/*
    Header for the backend debugger interface.
    Copyright (C) 2007 Tim Beaulen <tbscope@gmail.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef PHONONGSTREAMERBACKENDDEBUGGERDBUSIFACE_H
#define PHONONGSTREAMERBACKENDDEBUGGERDBUSIFACE_H

//#include <kdecore_export.h>
#include <QtCore/qobject.h>
#include <QtDBus/QtDBus>

class PhononGStreamerBackendDebuggerDBusIface: public QObject
{
    Q_OBJECT
    Q_CLASSINFO("D-Bus Interface", "org.kde.phonongstreamerbackenddebugger")
public:
    PhononGStreamerBackendDebuggerDBusIface();
    ~PhononGStreamerBackendDebuggerDBusIface();

//public Q_SLOTS:

signals:
    Q_SCRIPTABLE void message(int type, int level, const QString &objectName, const QString& message);
    Q_SCRIPTABLE void backendCreated(const QString &xmlStructure);
    Q_SCRIPTABLE void backendDestroyed(const QString &xmlStructure);
    Q_SCRIPTABLE void backendUpdated(const QString &xmlStructure);
};

#endif
